### Hierarchy

- Providers

## Index

### Constructors

- constructor

### Properties

- rest
- socket

## Constructors

### constructor

- new Providers(ippApi: IApiService, ippAuth: IAuthService, ippStorage: IStorageService, ippConf: IIPPConfig): Providers

- - Defined in Page/Provider.ts:22

  #### Parameters

  - ##### ippApi: IApiService

  - ##### ippAuth: IAuthService

  - ##### ippStorage: IStorageService

  - ##### ippConf: IIPPConfig

  #### Returns Providers

## Properties

### rest

rest: ProviderREST

- Defined in Page/Provider.ts:21

### socket

socket: IPageProvider

- Defined in Page/Provider.ts:22

Generated using TypeDoc